/*
 *	include/cbase/resource.h	11.2	Delta date: 9/23/87
 *	@(#)resource.h	11.2
 *
 *	resource manager definitions
 */

#ifndef	_RESOURCE_
#define	_RESOURCE_
#define _H_M_TYPES
#define _NO_PROTO
#define NULL 0

#ifndef _MACHINE_
#include <machine.h>
#endif	/* _MACHINE_ */


/*	Resource type definitions	*/

#define	RTYPE		long		/* resource type */
#define	RID		short		/* resource ID */


/*	Resource attributes	*/

#define	R_PURGEABLE	1
#define	R_PRELOAD	2
#define	R_FIXED		4


/*	Resource information structure	*/

typedef struct RINFO {
	RTYPE	rType;			/* resource type */
	RID	rId;			/* resource Id */
	char	*rName;			/* resource name */
	long	rSize;			/* resource size */
	char	rFlags;			/* resource flags */
} RINFO;


RINFO	*rfindx ();
VOID	**rgeth ();
VOID	**rgeti ();
VOID	**rgetn ();
char	*rgetmsg ();

#endif	/* _RESOURCE_ */

