/*
 *	cbase/src/wtr/rptresc.h	12.1	Delta date: 3/10/89
 *
 *	Global 'report' resources
 *
 *	@(#)rptresc.h	12.1
 */

#include <cbase/resource.h>
#include <cbase/rdefs.h>
#ifdef RC
#include <cbase/rcdefs.h>
#endif

#define	G_RPTMSG		333		/* message resource ID */

/*
 *	Global report messages
 */

#define	NOPEN		11	/* can't open ^0 [^1] */
#define	DUPRPT		12	/* name conflict w/ local rpt ^0 and log rpt */
#define	UOSERR		13	/* "unknown system error" */
#define	RPTNFD		14	/* report '^0' not found */
#define	NOPENCOMP	15	/* can't open compiled output ^0
					[^1]	*/
#define	NOPENTMP	16	/* cannot create temporary file ^0 [^1] */
#define	NOCONVLAY	17	/* error converting visual report */
#define	NOCONVCRW	18	/* error compiling report program */
#define	NOACCRPT	19	/* cannot access report ^0 */
#define	NOTLOGRPT	20	/* report '^0' not in logical format */
#define	SYSTOOLONG	21	/* absolute or relative pathname is too long */

#ifdef RC

resource strlist (G_RPTMSG, R_PRELOAD | R_PURGEABLE) {
	{
		NOPEN;	"can't open ^0 [^1]";
		DUPRPT;	"name conflict with local report '^0' and "
			"logical report";
		UOSERR; "unknown system error";
		RPTNFD;	"report '^0' not found";
		NOPENCOMP;"can't open compiled output ^0\n\t [^1]";
		NOPENTMP; "cannot create temporary file ^0 [^1]";
		NOCONVLAY; "error converting visual report";
		NOCONVCRW; "error compiling report program";
		NOACCRPT;  "cannot access report ^0";
		NOTLOGRPT; "report '^0' not in logical format";
		SYSTOOLONG; "absolute or relative pathname is too long";
	};
};
#endif
