/*
 *	src/screen/maknam.c	11.1	Date: 12/27/88
 *
 *	maknam ()
 *		display print field headings
 *
 *	incname()
 *		display print field
 *
 *	These routines used globally for dbadmin and lfadmin commands.
 *
 *	@(#)maknam.c	11.1
 */

#include	<machine.h>
#include	<stdio.h>


inc_name (fname)	/* "increment" name to next valid name */
char *fname;
{
	register char	*s;
	int	rc;

	rc = 0;
	s = fname + strlen (fname) -1;

	if (ISPATH (*s))
		return (-1);

	if (*s < 'A')
		*s == 'A';
	else
		++*s;

	if (*s > 'Z' && *s < 'a')
		*s = 'a';
	else if (*s > 'z')  {
		*s = '\0';
		rc = inc_name (fname);
		*s = 'A';
	}
	return (rc);
}

#if MSDOS2
makvalnam (to, from, n)		/* ensure valid file name creation */
char *to;
char *from;
int n;
{
	register char *ip;
	register char *p;
#if MSDOS2		/* characters not to be put into filename */
	char	*invfilch = ":.*[]";
#endif

	for(p = to; n > 0 ; n--)  {
		ip = invfilch;
		if (*from) {
			while (*ip) {	/* substitute bad chars in filename */
				if (*ip++ == *from) {
					*p++ = 'x';
					from++;
					continue;
				}
			}
			*p++ = *from++;
		}
		else
			break;
	}

	while (n-- > 0)
		*p++ = '\0';

	return (0);
}
#endif
