	@(#)mag.h	4.2

1 mag nomode
Form is currently in a do-nothing state.  From here you can search
for magazines, or add new magazines.  These functions are outlined below:

	Specify magazine search parameters (QUERY)	F2
	FIND specified magazine				F3

	ADD a new magazine				F6

	EXIT from form					F8

1 mag query
At this point you can specify search parameters to find certain
magazines within the data file.  To do a linear search of the data
file, leave the screen blank and push the FIND key (F3) repeatedly.
To find some particular magazine, type into the fields the value
you are looking for.  If you specify keyfields or secondary indexes,
keyed searches will be done; otherwise, an automatic linear search
will be done.  Lastly, you can use wildcards.  This is a single
character, *, which will match 0 or more of any character.  When
you have entered the search parameters, push the FIND key (F3) to
search for the magazine.  The table below summarizes the valid
function keys:

	Re-specify magazine search parameters (QUERY)	F2
	FIND specified magazine				F3

	ADD a new magazine instead of searching		F6

	EXIT from form					F8

1 mag find
Your search parameters matched a magazine in the data file which
is now displayed.  From here you can UPDATE the magazine, DELETE
the magazine, or FIND the next matching magazine.  If you wanted
you could also start a new QUERY or ADD a new magazine.  The
table below summarizes these functions:

	Re-specify magazine search parameters (QUERY)	F2
	FIND next specified magazine			F3

	UPDATE current magazine				F4
	ADD a new magazine				F6
	DELETE current magazine				GOLD (F1) D

	EXIT from form					F8

1 mag update
The current magazine is now available for changes.  Any changes you
make to the fields on the screen will be recorded in the data file
after you push the STORE key (F5).  Using CANCEL will restore the
magazine to its original state and leave UPDATE mode.  The arrow
keys will move the cursor from field to field.  The table below
summarizes these functions:

	DISPLAY original contents of magazine		F4
	STORE UPDATEd magazine				F5

	CANCEL UPDATE process				GOLD (F1) X

1 mag add
You can now add a new magazine to the data file.  Any data you type
into the fields on the screen will be recorded in the data file
after you push the STORE key (F5).  Using CANCEL will clear the
screen, leave ADD mode, and not write the magazine to the data file.
The arrow keys will move the cursor from field to field.  The table
below summarizes these functions:

	STORE ADDed magazine				F5

	CANCEL ADD process				GOLD (F1) X

1 mag
Data Entry Screen

The GOLD (F1) key is used to perform additional functions not
provided for by the function keys.  The GOLD key, followed by
another key will perform that function.  For the most part the
function performed is mnemonic.

The QUERY (F2) key will allow you to specify search parameters
to find a particular magazine in a data file.

The FIND (F3) key will find the next magazine which matches the
search parameters entered from the QUERY.  When no magazines are
left in the file the message "No more" will be displayed.  If
FIND is pushed again, the first matching magazine will be sought
again.

If the UPDATE (F4) key is pressed, then the current magazine displayed
can be modified.  After all the modifications have been made, the STORE
key is pressed.  If the UPDATE key is pressed while in UPDATE mode,
then the original magazine contents will be re-displayed.

The STORE (F5) key is used only while in ADD or UPDATE mode.  When
pressed, the current magazine displayed on the screen will be written
to the data file.

If the ADD (F6) key is pressed, then the fields are cleared, and a
new magazine can be entered.  When the STORE key is pressed, the
magazine will be stored into the data file.

Pushing the EXIT (F8) key will cause form to exit.  EXIT cannot be
used while in ADD or UPDATE mode.

Pushing GOLD (F1) then D (Delete) will delete the current magazine
from the data file.  Pushing GOLD then R (Refresh) will erase the
screen and re-draw the current forms.  This is useful if the data
entry screen becomes garbled.  Pushing GOLD then X (cancel) will
exit ADD or UPDATE mode.  If in ADD mode, no magazine will be written;
if in UPDATE mode, the magazine will be restored to its original state.

2 magazine
Magazine

This is a character field used to uniquely identify a magazine.
Any type of conventions can be used to make the magazine code
for the magazine.  In this demonstration system, the magazine
code is an abbreviation of the magazine title.

Input into this field is required.

2 title
Title

This is a character field used to show the full title of the
magazine.  This field is used for information purposes only.

Input into this field is required.

2 year_rate
Yearly Rate

This is a money field used to show the annual subscription
cost of the magazine.

2 subscribers
Subscribers

This is an integer field used to show how many subscriptions
there are to this magazine.  You are not allowed to enter or
change this field.  The maintenance of this field is handled
through the subscriptions form.
