/*	@(#)dblock.h	4.1
 *	structure used inside /dev/dblock
 *	for table of locked records and files
 */

struct	res	{
	int	r_procno;	/* process id of locker */
	dev_t	r_dev;		/* device number of locked file */
	ino_t	r_inode;	/* inode of locked file */
	short	r_file;		/* if non-zero, entire file is locked */
	long	r_recno;	/* if r_file zero, number of locked record */
};



/*
 *	structure of messages sent and received
 *	by record locking routines
 */

struct	lockmsg	{
	int	l_procno;	/* process number */
	dev_t	l_dev;		/* device number of file to lock/unlock */
	ino_t	l_inode;	/* inode of file to lock/unlock */
	short	l_file;		/* if non-zero, lock/unlock entire file */
	long	l_recno;	/* if l_file zero, record to lock/unlock */
	short	l_lock;		/* if non-zero, lock file/record, else unlock */
	short	l_wait;		/* if non-zero, wait for lock to be done */
};



/*
 *	name of file used for locking
 */

#define	LOCKFILE	"/dev/dblock"
