/*
 *	include/cbase/memory.h	11.1	Delta date: 5/5/87
 *	@(#)memory.h	11.1
 *
 *	memory manager definitions
 */

#ifndef	_MEMORY_
#define	_MEMORY_

#ifndef	_MACHINE_
#include <machine.h>
#endif	/* _MACHINE_ */

/*	flags for HAlloc() and HRealloc ()	*/

#define	H_FLOAT	1		/* define floating block */
#define	H_FIXED	2		/* define fixed block */
#define	H_ZERO	4		/* initialize new memory to zero */


/*	declare functions			*/

#ifndef	_MEMDEF_
VOID	**HAlloc ();
VOID	**HRealloc ();
long	HSize ();
VOID	*HLock ();
#endif	/* _MEMDEF_ */

#endif	/* _MEMORY_ */
