/*
 *	include/cbase/rcdefs.h	16.1	Delta date: 2/2/90
 *	@(#)rcdefs.h	16.1
 *
 *	resource compiler definitions
 *
 *	this should be an Include file in your resource compiler
 *	input file (*.rc)
 */

#ifndef	_RCDEFS_
#define	_RCDEFS_


#ifndef _MACHINE_
#include <machine.h>
#endif /* _MACHINE_ */

#ifndef	NULL
#define	NULL	0
#endif	/* NULL */


/*
 *	specify machine dependent information for the resource compiler
 */

#if M_VAX
#define	_SET_OK_
	set char = (1, 1, (0));
	set pointer = (4, 4, (0, 1, 2, 3));
	set proc pointer = (4, 4, (0, 1, 2, 3));
	set double = (8, 4, (0, 1, 2, 3, 4, 5, 6, 7));
	set float = (4, 4, (0, 1, 2, 3));
	set int = (4, 4, (0, 1, 2, 3));
	set long = (4, 4, (0, 1, 2, 3));
	set short = (2, 2, (0, 1));
#endif	/* M_VAX */

#if M_3B2
#define	_SET_OK_
	set  char = (1, 1, (0));
	set  pointer = (4, 4, (3, 2, 1, 0));
	set  proc pointer = (4, 4, (3, 2, 1, 0));
	set  double = (8, 4, (7, 6, 5, 4, 3, 2, 1, 0));
	set  float = (4, 4, (3, 2, 1, 0));
	set  int = (4, 4, (3, 2, 1, 0));
	set  long = (4, 4, (3, 2, 1, 0));
	set  short = (2, 2, (1, 0));
	set  struct = (0, 4, (0));
#endif	/* M_3B2 */

#if M_M68000 | M_M68010 | M_M68020 | M_SPARC
#define	_SET_OK_
	set char = (1, 1, (0));
	set pointer = (4, 4, (3, 2, 1, 0));
	set proc pointer = (4, 4, (3, 2, 1, 0));
	set double = (8, 4, (7, 6, 5, 4, 3, 2, 1, 0));
	set float = (4, 4, (3, 2, 1, 0));
	set int = (4, 4, (3, 2, 1, 0));
	set long = (4, 4, (3, 2, 1, 0));
	set short = (2, 2, (1, 0));
#if M_ARIX	/* ARIX compiler aligns structures to 2 byte boundaries */
	set struct = (0, 2, (0));
#endif
#endif

#if P_AT386V5 | P_AT386SCO | P_LINUX | P_BSDOS
#define	_SET_OK_
	set char = (1, 1, (0));
	set pointer = (4, 4, (0, 1, 2, 3));
	set proc pointer = (4, 4, (0, 1, 2, 3));
	set double = (8, 4, (7, 6, 5, 4, 3, 2, 1, 0));
	set float = (4, 4, (7, 6, 5, 4, 3, 2, 1, 0));
	set int = (4, 4, (0, 1, 2, 3));
	set long = (4, 4, (0, 1, 2, 3));
	set short = (2, 2, (0, 1));
#endif

#if P_IBMRT
#define	_SET_OK_
	set char = (1, 1, (0));
	set pointer = (4, 4, (3, 2, 1, 0));
	set proc pointer = (4, 4, (3, 2, 1, 0));
	set double = (8, 4, (7, 6, 5, 4, 3, 2, 1, 0));
	set float = (4, 4, (3, 2, 1, 0));
	set int = (4, 4, (3, 2, 1, 0));
	set long = (4, 4, (3, 2, 1, 0));
	set short = (2, 2, (1, 0));
#endif

#ifndef _SET_OK_
ERROR  --  machine dependent information not set
#endif	/* _SET_OK_ */


#ifndef _RDEFS_
#include <cbase/rdefs.h>
#endif /* _RDEFS_ */

#ifndef _RESOURCE_
#include <cbase/resource.h>
#endif /* _RESOURCE_ */



/*
 *	string list resource definitions
 */

type strlist (RT_STRLIST) {
	array {
		char;			/* string sub-ID */
		string [];		/* variable length string */
	} strs;
	char = 0;			/* extra null terminator */
	char = 0;			/* extra null terminator */
};



/*
 *	rms error list resource definitions
 */

type rmslist (RT_RMSLIST) {
	array {
		char;			/* string sub-ID */
		char;			/* parameter type */
		string [];		/* variable length string */
	} rmssmg;
	char = 0;			/* extra null terminator */
	char = 0;			/* extra null terminator */
};



/*
 *	view resource definitions
 *
 *		vfld (RT_VFLD):		view field definition
 *		vfrm (RT_VFRM):		view form definition
 *
 */

type vfld (RT_VFLD) {
	short = countof (fields);
	array {
		int;		/* row position on terminal screen */
		int;		/* column position on terminal screen */
		int;		/* screen field type (see above) */
		int;		/* length of field on screen */
		string	*;	/* text if TEXT field */
		string	*;	/* name of field */
		int;		/* data type from data dictionary */
		int;		/* size of data in data file */
		int;		/* offset from beginning of record */
		int = 0;	/* data was entered into field */
		int = 0;	/* valid data in prevbuf */
	} fields;
};

type vfrm (RT_VFRM) {
	string	*;		/* name of this form */
	int;			/* form attributes */
	int;			/* length of form in lines */
	pointer = NULL;		/* first field of form */
	pointer = NULL;		/* last field of form */
	pointer = NULL;		/* pointer to data record */
	pointer = NULL;		/* pointer to record before update */
	pointer = NULL;		/* last modified record */
	int;			/* record length */
};

type vdlg (RT_VDLG)  {
	int;			/* starting row of dialog area */
	int = 1;		/* starting column of dialog area */
	int;			/* ending row of dialog area */
	int = 80;		/* ending column of dialog area */
};

/*
 *	SCCS Identifier for resource file
 */

type sccsid (RT_SCCSID) {
	string[];		/* SCCS ID string */
};

#endif	/* _RCDEFS_ */
