/*  Conetic Software Systems                              *
 *  @(#)ptypes.h   2.0                                    *
 *  isprint definition file                               *
 *                                                        *
 *                                                        *
 */
#define  C_U         1     /* Upper case */
#define  C_L         2     /* Lower case */
#define  C_N         3     /* Numeral */
#define  C_P         4     /* Punctuation */
#define  C_B         5     /* Blank */
#define  C_E         6     /* Extended Charscter set */

/* 
 * UNIX defined _XX = heXadecimal, _SS = Spacing character, _CC = Control
 * 
*/
#define  _XX          0200
#define  _SS          010
#define  _CC          040

	/*
	 ************************************************
	 *		C_CCTYPE  CHARACTER  SET                
	 ************************************************
	 */

	/* The first 257 characters are used to determine
	 * the character class */

static unsigned char c;

static unsigned char	_prtype[] =  { 0,
	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,
	_CC,	_SS|_CC,_SS|_CC,_SS|_CC,_SS|_CC,_SS|_CC,_CC,	_CC,
	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,
	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,	_CC,
	_SS|C_B,C_P,	C_P,	C_P,	C_P,	C_P,	C_P,	C_P,
	C_P,	C_P,	C_P,	C_P,	C_P,	C_P,	C_P,	C_P,
	C_N|_XX,C_N|_XX,C_N|_XX,C_N|_XX,C_N|_XX,C_N|_XX,C_N|_XX,C_N|_XX,
	C_N|_XX,C_N|_XX,C_P,	C_P,	C_P,	C_P,	C_P,	C_P,
	C_P,	C_U|_XX,C_U|_XX,C_U|_XX,C_U|_XX,C_U|_XX,C_U|_XX,C_U,
	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,
	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,	C_U,
	C_U,	C_U,	C_U,	C_P,	C_P,	C_P,	C_P,	C_P,
	C_P,	C_L|_XX,C_L|_XX,C_L|_XX,C_L|_XX,C_L|_XX,C_L|_XX,C_L,
	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,
	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,	C_L,
	C_L,	C_L,	C_L,	C_P,	C_P,	C_P,	C_P,	_CC,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,
	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E,	C_E, 
};


#undef	isprint
#define isprint(c)  ((_prtype + 1) [c] & (C_P | C_U | C_L | C_N | C_B | C_E ))

