/*	"@(#)vdefs.h	11.3"		Delta Date: 2/1/88
 *	filedef
 *
 *	filedef definition file
 *
 *	filedef creates and maintains file definition 
 *	using terminal input.
 */

#define	RF_HEADFORM	259	/* resource ID for deffile description form */
#define	RV_HEADFORM	260	/* resource ID for deffile description fields */
#define	RF_FLDHEAD	261	/* resource ID for field title display form */
#define	RV_FLDHEAD	262	/* resource ID for field title display fields */
#define	RF_FLDDESC	263	/* resource ID for field description form */
#define	RV_FLDDESC	264	/* resource ID for field description fields */
#define	RF_PRMKEYDEF	265	/* resource ID for Primary key description form */
#define	RV_PRMKEYDEF	266	/* resource ID for Primary key description fields */
#define	RF_SECKEYDEF	267	/* resource ID for Secondary key description form */
#define	RV_SECKEYDEF	268	/* resource ID for Secondary key description fields */

#define	D_NAMEZ		16		/* maximum name size */
#define	D_MAXKEY	8		/* maximum number of fields/key */

/* pictured view of file header */
struct	p_dhead	{
	char	h_access[D_NAMEZ],	/* file access method */
		h_key_ord[D_NAMEZ],	/* prim. key ordering */
		h_dup_key[D_NAMEZ];	/* duplicate key handling */
	short	h_skey_cnt,		/* number of secondary keys */
		h_fld_cnt,		/* number of data fields */
		h_acctype,		/* RS id of access type */
		h_ordtype,		/* RS id of key ordering */
		h_duptype;		/* RS id of dup keys */
	};

/* pictured view of fields */
struct	p_dfield	{
	char	f_name[D_NAMEZ],	/* field name */
		f_dtype[8];		/* ..RMS data type */
	short	f_length,		/* ..field length */
		f_elem_cnt,		/* ..number of elements */
		f_dtmes,		/* ..RMS data type flag */
		f_dtid;			/* ..RS id of RMS data type */
	char	f_descr[36];		/* ..field description */
	};

/* pictured view of Primary and secondary keys */
struct	p_dkey	{
	char	k_name[D_MAXKEY][D_NAMEZ];
	};
