/*
 *	cbase/src/lib/libdefs.h	11.3	Delta date: 4/28/87
 *
 *	library resource definitions
 */


#define	RS_ASK		16384	/* messages from ask.c */
#define	RS_REGEX	16385	/* messages from regex.c */
#define	RS_SHOWTEXT	16386	/* messages from showtext.c */


/*
 *	messages from ask.c (RS_ASK)
 */

#define	S_TOOLONG	1	/* responce may only be ^0 characters long */
#define	S_UNKNOWNTYPE	2	/* unknown data type */
#define	S_BADTYPE	3	/* not valid ^0 */


/*
 *	messages from regex.c (RS_REGEX)
 */

#define	S_RERTOOLARGE	1	/* regular expression range endpoint too large*/
#define	S_REBADNUM	2	/* invalid number in regular expression */
#define	S_REBADDIGIT	3	/* digit out of range in regular expression */
#define	S_EBRACKET	4	/* ')\' expected in regular expression */
#define	S_TMBRACKET	5	/* too many '\(' in regular expression */
#define	S_TMPARAM	6	/* too many parameters in \{ \} */
#define	S_EBRACE	7	/* '\}' expected in regular expression */
#define	S_RERANGE	8	/* n bigger than n in \{n,m\} */
#define	S_ESET		9	/* ']' expected in regular expression */
#define	S_RETOOBIG	10	/* regular expression too big */
#define	S_NORE		11	/* no regular expression */


/*
 *	messages from showtext.c (RS_SHOWTEXT)
 */

#define	S_ENDHELP	1	/* --End of Help--... */
#define	S_MOREHELP	2	/* --More Help--... */
