/*
 *	src/rms/rmsdefs.h	11.2	Delta date: 4/21/87
 *
 *	rms resource definitions
 *
 *	@(#)rmsdefs.h	11.2
 */

/*
 *	RMS error messages (derrmsg())
 */

#define	RR_DERRMSG	16384
#define	RS_RMSMSG	16394


/*
 *	RMS messages (RS_RMSMSG)
 */

#define	S_URMSERR	1	/* unknown RMS error */
#define	S_UOSERR	2	/* unknown OS error */


/*
 *	RMS error parameter types
 */

#define	DEFEND	0		/* end of table */
#define	DEFNONE	1		/* no parms */
#define	DEFI	2		/* integer */
#define DEFS	3		/* string */
#define	DEFU	4		/* Unix error */
#define	DEFSI	5		/* string then integer */
#define	DEFIS	6		/* integer then string */
#define	DEFSU	7		/* string then Unix error */
