/*
 *	cbase/src/view/vediterr.h	11.4	Delta date: 2/9/88
 *
 *	@(#)vediterr.h	11.4
 *
 *	view resource definitions
 */

#define	RS_VERR		16387	/* view error msg stringlist */
#define	RS_VKEYS	16388	/* view key name stringlist */
#define	RS_VMODES	16389	/* view mode stringlist */

/*
 *	error messages (RS_VERR)
 */

#define	NODECIMAL	1	/* Decimal point not allowed */
#define	BADINTEGER	2	/* Illegal number */
#define	BIGINTEGER	3	/* Value must be less than 32768 */
#define	LITTLEINTEGER	4	/* Value must be greater than -32768 */
#define	BADLONG		5	/* Illegal number */
#define	BADREAL		6	/* Illegal number */
#define	BADMONEY	7	/* Illegal number */
#define	BADDATE		8	/* Illegal date, format is MM/DD/YY */
#define	BADTIME		9	/* Illegal time, format is HH:MM:SS */
#define	BADBOOLEAN	10	/* Use yes or no */
#define	S_NULLERR	11	/* (null) */
#define	S_EMPTYERR	12	/* vputerr: error message is empty */
#define	S_BADERR	13	/* vputerr: unprintable error message */


/*
 *	key strings (RS_VKEYS)
 */


#define	S_PREV		1	/* PREV-<F2>  */
#define	S_NEXT		2	/* NEXT-<F3>  */
#define	S_UPDATE	3	/* UPDATE-<F4>  */
#define	S_ADD		4	/* ADD-<F6>  */
#define	S_STORE		5	/* STORE-<F5>  */
#define	S_SWITCH	6	/* SWITCH-<F7>  */
#define	S_EXIT		7	/* EXIT-<F8>  */
#define	S_HELP1		8	/* HELP-<F1><h>  */
#define	S_CANCEL	9	/* CANCEL-<F1><x>  */
#define	S_HELP2		17	/* HELP-<HELP>  */


/*
 *	mode strings (RS_VMODES)
 */

#define	S_MADD		1	/* ADD */
#define	S_MUPDATE	2	/* UPDATE */
#define	S_MUNKNOWN	3	/*  */
#define	S_MQUERY	4	/* QUERY */
#define	S_MFIND		5	/* FIND */
#define	S_MSEARCH	6	/* SEARCHING */
#define	S_MWORK		7	/* WORKING */

char	*vediterr();
